### File

`packages/core/src/lib/services/eui-app-shell.service.ts`

### Index

###### Properties
navigationEndCustomHandler navigationStartCustomHandler
###### Methods
Public activateBreadcrumb Public activateHeader Public activateSidebar Public activateSidebarFooter Public activateSidebarHeader Public activateSideContainer Public activateToolbar Public activateToolbarMegaMenu Public activateToolbarMenu Public activateTopMessage Public deactivateSideContainer Public dimmerActiveToggle Public fetchAppMetadata Public getBaseFontSize getState Public setBaseFontSize Public setDimmerActiveState setState Public sidebarToggle
###### Accessors
state$ breakpoint$ breakpoints$ state isSidebarOpen isSidebarActive sidebarLinks hasSidebarCollapsedVariant menuLinks isBlockDocumentActive hasHeader isDimmerActive

### Constructor

`constructor()`

### Methods

Public activateBreadcrumb
`activateBreadcrumb()`
Returns : `void`

Public activateHeader
`activateHeader()`
Returns : `void`

Public activateSidebar
`activateSidebar()`
Returns : `void`

Public activateSidebarFooter
`activateSidebarFooter()`
Returns : `void`

Public activateSidebarHeader
`activateSidebarHeader()`
Returns : `void`

Public activateSideContainer
`activateSideContainer()`
Returns : `void`

Public activateToolbar
`activateToolbar()`
Returns : `void`

Public activateToolbarMegaMenu
`activateToolbarMegaMenu()`
Returns : `void`

Public activateToolbarMenu
`activateToolbarMenu()`
Returns : `void`

Public activateTopMessage
`activateTopMessage(height: number)`
Parameters :
Name | Type | Optional
height | `number` | No
Returns : `void`

Public deactivateSideContainer
`deactivateSideContainer()`
Returns : `void`

Public dimmerActiveToggle
`dimmerActiveToggle()`
Returns : `void`

Public fetchAppMetadata
`fetchAppMetadata(metadataFilePath: string)`
Parameters :
Name | Type | Optional | Default value
metadataFilePath | `string` | No | `'assets/app-metadata.json'`
Returns : `void`

Public getBaseFontSize
`getBaseFontSize()`
Returns the current value of --eui-f-size-base CSS variable Returns : `string`

getState
`getState(key?: string)`
Type parameters : T
Emits a slice from the state whether that changes Parameters :
Name | Type | Optional | Description
key | `string` | Yes | can be 'key' or 'key.sub.sub'
Returns : `Observable<T>`

Public setBaseFontSize
`setBaseFontSize(newsize: string)`
Updates the current value of --eui-f-size-base CSS variable and the UIState appBaseFontSize Parameters :
Name | Type | Optional
newsize | `string` | No
Returns : `void`

Public setDimmerActiveState
`setDimmerActiveState(activeState: boolean)`
Parameters :
Name | Type | Optional
activeState | `boolean` | No
Returns : `void`

setState
`setState(nextState: UIState, updateI18: unknown)`
Parameters :
Name | Type | Optional | Default value
nextState | `UIState` | No |
updateI18 | `unknown` | No | `true`
Returns : `void`

Public sidebarToggle
`sidebarToggle()`
Returns : `void`

### Properties

navigationEndCustomHandler
Type : `function`

navigationStartCustomHandler
Type : `function`

### Accessors

state$
get `state$()`

breakpoint$
get `breakpoint$()`

breakpoints$
get `breakpoints$()`

state
get `state()`

isSidebarOpen
get `isSidebarOpen()`
set `isSidebarOpen(isOpen: boolean)`
Parameters :
Name | Type | Optional
isOpen | `boolean` | No
Returns : `void`

isSidebarActive
set `isSidebarActive(isActive: boolean)`
Parameters :
Name | Type | Optional
isActive | `boolean` | No
Returns : `void`

sidebarLinks
set `sidebarLinks(links: EuiMenuItem[])`
Parameters :
Name | Type | Optional
links | `EuiMenuItem[]` | No
Returns : `void`

hasSidebarCollapsedVariant
set `hasSidebarCollapsedVariant(isActive: boolean)`
Parameters :
Name | Type | Optional
isActive | `boolean` | No
Returns : `void`

menuLinks
set `menuLinks(links: EuiMenuItem[])`
Parameters :
Name | Type | Optional
links | `EuiMenuItem[]` | No
Returns : `void`

isBlockDocumentActive
set `isBlockDocumentActive(isActive: boolean)`
Parameters :
Name | Type | Optional
isActive | `boolean` | No
Returns : `void`

hasHeader
get `hasHeader()`

isDimmerActive
get `isDimmerActive()`
set `isDimmerActive(isActive: boolean)`
Parameters :
Name | Type | Optional
isActive | `boolean` | No
Returns : `void`

# results matching ""

# No results matching ""